﻿using Application1.ServiceReference1;
using System;
using System.Threading.Tasks;
using System.Windows;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace Application1
{
    public sealed partial class MainPage : Page
    {
        Service1Client _soapClient =
        new Service1Client(
            new System.ServiceModel.BasicHttpBinding(),
            new System.ServiceModel.EndpointAddress(
                new Uri("http://localhost/WcfService1/Service1.svc")));
        public MainPage() {
            this.InitializeComponent();

            // Enter construction logic here...
        }

        private async void Button_Click(object sender, RoutedEventArgs e) {
            string str = await GetData();
            TextBlock1.Text = str;
        }

        

        async Task<string> GetData() {
            string data = null;
            try {
                get_StrResponse r = await _soapClient.get_StrAsync();
                data = r.Body.get_StrResult;
            } catch (Exception ex) {
                MessageBox.Show(ex.Message);
            }
            return data;
        }
    }
}
